package domain


type AlibabaWdkStockPublishBatchStockPublishDto struct {
    /*
        更新类型，全量1，增量2     */
    UpdateType  *int64 `json:"update_type,omitempty" `

    /*
        外部单据号(幂等)，理解为一次请求提交     */
    BillNo  *string `json:"bill_no,omitempty" `

    /*
        外部单据类型，9001大润发 9002欧尚 9003三江 9005 文峰 9007美特好     */
    BillType  *int64 `json:"bill_type,omitempty" `

    /*
        发布来源，取商家编码     */
    PublishSource  *string `json:"publish_source,omitempty" `

    /*
        仓编码（废弃）     */
    WarehouseCode  *string `json:"warehouse_code,omitempty" `

    /*
        经营店编码（必须）     */
    ShopCode  *string `json:"shop_code,omitempty" `

    /*
        渠道店编号（废弃）     */
    ChannelSourceId  *string `json:"channel_source_id,omitempty" `

    /*
        操作者     */
    Operator  *string `json:"operator,omitempty" `

    /*
        渠道店类型（废弃）     */
    ChannelSourceType  *int64 `json:"channel_source_type,omitempty" `

    /*
        子参数列表     */
    StockPublishDtos  *[]AlibabaWdkStockPublishStockPublishDto `json:"stock_publish_dtos,omitempty" `

    /*
        是否已扣除未批次数，用于全量发布 defalutValue:false    */
    UnBatchedOrderStockSubtracted  *bool `json:"un_batched_order_stock_subtracted,omitempty" `

}

func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetUpdateType(v int64) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.UpdateType = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetBillNo(v string) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.BillNo = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetBillType(v int64) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.BillType = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetPublishSource(v string) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.PublishSource = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetWarehouseCode(v string) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.WarehouseCode = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetShopCode(v string) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.ShopCode = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetChannelSourceId(v string) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.ChannelSourceId = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetOperator(v string) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.Operator = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetChannelSourceType(v int64) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.ChannelSourceType = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetStockPublishDtos(v []AlibabaWdkStockPublishStockPublishDto) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.StockPublishDtos = &v
    return s
}
func (s *AlibabaWdkStockPublishBatchStockPublishDto) SetUnBatchedOrderStockSubtracted(v bool) *AlibabaWdkStockPublishBatchStockPublishDto {
    s.UnBatchedOrderStockSubtracted = &v
    return s
}
